searchTransactions

/search/transactions allows the caller to search for
transactions that meet certain conditions. Some conditions
include matching a transaction hash, containing an
operation with a certain status, or containing an operation
that affects a certain account.

/search/transactions is considered an "indexer" endpoint
and Rosetta implementations are not required to complete it
to adhere to the Rosetta spec. However, any Rosetta "indexer"
MUST support this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

SearchTransactionsRequest is used to search for transactions
matching a set of provided conditions in canonical blocks.

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

string
enum

Operator is used by query-related endpoints
to determine how to apply conditions.

If this field is not populated, the default
and value will be used.

Allowed:
int64
≥ 0

max_block is the largest block index to consider when searching
for transactions. If this field is not populated, the current
block is considered the max_block.

If you do not specify a max_block, it is possible a newly synced
block will interfere with paginated transaction queries (as the offset
could become invalid with newly added rows).

int64
≥ 0

offset is the offset into the query result to start returning transactions.

If any search conditions are changed, the query offset will change and you
must restart your search iteration.

int64
≥ 0

limit is the maximum number of transactions to return in one call. The implementation
may return <= limit transactions.

transaction_identifier
object

The transaction_identifier uniquely identifies a transaction in a particular network and block
or in the mempool.

account_identifier
object

The account_identifier uniquely identifies an account within a network.
All fields in the account_identifier are utilized to determine this uniqueness
(including the metadata field, if populated).

coin_identifier
object

CoinIdentifier uniquely identifies a Coin.

currency
object

Currency is composed of a canonical Symbol and
Decimals. This Decimals value is used to convert
an Amount.Value from atomic units (Satoshis) to standard units
(Bitcoins).

string

status is the network-specific operation type.

string

type is the network-specific operation type.

string

address is AccountIdentifier.Address. This is used to get all
transactions related to an AccountIdentifier.Address, regardless
of SubAccountIdentifier.

boolean

success is a synthetic condition populated by parsing network-specific
operation statuses (using the mapping provided in /network/options).

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json